OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
TopoDSToStep

# TopoDSToStep_MakeBrepWithVoids Class Reference

This class implements the mapping between classes
Solid from TopoDS and BrepWithVoids from
StepShape. All the topology and geometry comprised
into the shell or the solid are taken into account and
translated.
.

`#include <TopoDSToStep_MakeBrepWithVoids.hxx>`

Inheritance diagram for TopoDSToStep_MakeBrepWithVoids:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TopoDSToStep_MakeBrepWithVoids (const TopoDS_Solid &S, const Handle(Transfer_FinderProcess)&FP)
Standard_EXPORT const Handle_StepShape_BrepWithVoids & | Value () const
## Private Attributes
Handle_StepShape_BrepWithVoids | theBrepWithVoids

## Constructor & Destructor Documentation

Standard_EXPORT TopoDSToStep_MakeBrepWithVoids::TopoDSToStep_MakeBrepWithVoids | ( | const TopoDS_Solid & | S,
|  | const Handle(Transfer_FinderProcess)& | FP
| ) |

## Member Function Documentation

void TopoDSToStep_MakeBrepWithVoids::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

void* TopoDSToStep_MakeBrepWithVoids::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

void* TopoDSToStep_MakeBrepWithVoids::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

Standard_EXPORT const Handle_StepShape_BrepWithVoids& TopoDSToStep_MakeBrepWithVoids::Value | ( |  | ) | const

## Field Documentation

Handle_StepShape_BrepWithVoids TopoDSToStep_MakeBrepWithVoids::theBrepWithVoids`[private]`

The documentation for this class was generated from the following file:

- TopoDSToStep_MakeBrepWithVoids.hxx